<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSeriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: series
         */
        Schema::create('series', function ($table) {
            $table->increments('id');
            $table->string('slug', 50)->nullable();
            $table->string('name', 255)->nullable();
            $table->text('class_id')->nullable();
            $table->integer('instructor_id')->nullable();
            $table->integer('difficulty_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->string('data_video', 255)->nullable();
            $table->text('Images')->nullable();
            $table->text('description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('series');
    }
}
