<?php

namespace Litecms\Series\Forms;

use Litepie\Form\FormInterpreter;

class Series extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('series/series/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('series/series/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('series/series'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('series/series'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('series/series'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('series/series'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('series::series.label.name'),
                "placeholder" => trans('series::series.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('series::series.label.created_at'),
            'name' => trans('series::series.label.name'),
            'status' => trans('series::series.label.status'),
        ];
        self::$groups = [
            'main' => trans('series::series.groups.main'),
            'details' => trans('series::series.groups.details'),
            'images' => trans('series::series.groups.images'),
            'settings' => trans('series::series.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('series::series.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('series::series.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('series::series.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('series::series.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('series::series.label.name'),
                "placeholder" => trans('series::series.placeholder.name'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'class_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('series::series.label.class_id'),
                "placeholder" => trans('series::series.placeholder.class_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'instructor_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('series::series.label.instructor_id'),
                "placeholder" => trans('series::series.placeholder.instructor_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'difficulty_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('series::series.label.difficulty_id'),
                "placeholder" => trans('series::series.placeholder.difficulty_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('series::series.label.category_id'),
                "placeholder" => trans('series::series.placeholder.category_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'data_video' => [
                "element" => 'file',
                "type" => 'file',
                "label" => trans('series::series.label.data_video'),
                "placeholder" => trans('series::series.placeholder.data_video'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'Images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('series::series.label.Images'),
                "placeholder" => trans('series::series.placeholder.Images'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
