<?php

namespace Litecms\Series\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class SeriesItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('series/series') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'slug' => $this->slug,
            'name' => $this->name,
            'class_id' => $this->class_id,
            'instructor_id' => $this->instructor_id,
            'difficulty_id' => $this->difficulty_id,
            'category_id' => $this->category_id,
            'data_video' => $this->data_video,
            'Images' => $this->Images,
            'description' => $this->description,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
